com.sun.grid.jgdi.configuration

## Interface EventSubcribtion

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    EventSubcribtionImpl

      public interface EventSubcribtion
      extends GEObject

  Java representation of the cull object EVS_Type defined in sge_all_listsL.template

  Warning: The EventSubcribtion class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getId()` Get the value of the id attribute.
    `int` | `getInterval()` Get the value of the interval attribute.
    `boolean` | `isFlush()` Get the value of the flush attribute.
    `boolean` | `isSetFlush()` Determine if any flush attribute is set
    `boolean` | `isSetId()` Determine if any id attribute is set
    `boolean` | `isSetInterval()` Determine if any interval attribute is set
    `void` | `setFlush(boolean aFlush)` Set the flush attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setInterval(int aInterval)` Set the interval attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setId

          void setId(int aId)

      Set the id attribute.
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          int getId()

      Get the value of the id attribute.
      Returns:
        the value of the id attribute

    - #### isSetId

          boolean isSetId()

      Determine if any id attribute is set
      Returns:
        `true` if the id attribute is set

    - #### setFlush

          void setFlush(boolean aFlush)

      Set the flush attribute.
      Parameters:
        `aFlush` - the new value for the flush attribute

    - #### isFlush

          boolean isFlush()

      Get the value of the flush attribute.
      Returns:
        the value of the flush attribute

    - #### isSetFlush

          boolean isSetFlush()

      Determine if any flush attribute is set
      Returns:
        `true` if the flush attribute is set

    - #### setInterval

          void setInterval(int aInterval)

      Set the interval attribute.
      Parameters:
        `aInterval` - the new value for the interval attribute

    - #### getInterval

          int getInterval()

      Get the value of the interval attribute.
      Returns:
        the value of the interval attribute

    - #### isSetInterval

          boolean isSetInterval()

      Determine if any interval attribute is set
      Returns:
        `true` if the interval attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.